summaryrefslogtreecommitdiffstats
path: root/test/integration/targets/inventory-invalid-group/runme.sh
diff options
context:
space:
mode:
authorDaniel Baumann <daniel.baumann@progress-linux.org>2024-04-28 16:04:21 +0000
committerDaniel Baumann <daniel.baumann@progress-linux.org>2024-04-28 16:04:21 +0000
commit8a754e0858d922e955e71b253c139e071ecec432 (patch)
tree527d16e74bfd1840c85efd675fdecad056c54107 /test/integration/targets/inventory-invalid-group/runme.sh
parentInitial commit. (diff)
downloadansible-core-upstream.tar.xz
ansible-core-upstream.zip
Adding upstream version 2.14.3.upstream/2.14.3upstream
Signed-off-by: Daniel Baumann <daniel.baumann@progress-linux.org>
Diffstat (limited to 'test/integration/targets/inventory-invalid-group/runme.sh')
-rwxr-xr-xtest/integration/targets/inventory-invalid-group/runme.sh13
1 files changed, 13 insertions, 0 deletions
diff --git a/test/integration/targets/inventory-invalid-group/runme.sh b/test/integration/targets/inventory-invalid-group/runme.sh
new file mode 100755
index 0000000..8c40554
--- /dev/null
+++ b/test/integration/targets/inventory-invalid-group/runme.sh
@@ -0,0 +1,13 @@
+#!/usr/bin/env bash
+
+set -eux
+set -o pipefail
+
+command=(ansible-playbook -v -i inventory.ini test.yml)
+ never='Invalid characters were found in group names but not replaced'
+always='Invalid characters were found in group names and automatically'
+
+ANSIBLE_TRANSFORM_INVALID_GROUP_CHARS=never "${command[@]}" -l "local-" 2>&1 | grep -c -e "${never}"
+ANSIBLE_TRANSFORM_INVALID_GROUP_CHARS=always "${command[@]}" -l "local_" 2>&1 | grep -c -e "${always}"
+ANSIBLE_TRANSFORM_INVALID_GROUP_CHARS=ignore "${command[@]}" -l "local-" 2>&1 | grep -cv -e "${never}" -e "${always}"
+ANSIBLE_TRANSFORM_INVALID_GROUP_CHARS=silently "${command[@]}" -l "local_" 2>&1 | grep -cv -e "${never}" -e "${always}"